FairMQMessageZMQ Class Referencefinal
Inheritance diagram for FairMQMessageZMQ:
[legend]
Collaboration diagram for FairMQMessageZMQ:
[legend]

## Public Member Functions

| FairMQMessageZMQ (FairMQTransportFactory *=nullptr)
| FairMQMessageZMQ (const size_t size, FairMQTransportFactory *=nullptr)
| FairMQMessageZMQ (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr, FairMQTransportFactory *=nullptr)
| FairMQMessageZMQ (FairMQUnmanagedRegionPtr &region, void *data, const size_t size, void *hint=0, FairMQTransportFactory *=nullptr)
void | Rebuild () override
void | Rebuild (const size_t size) override
void | Rebuild (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr) override
void * | GetData () const override
size_t | GetSize () const override
bool | SetUsedSize (const size_t size) override
void | ApplyUsedSize ()
fair::mq::Transport | GetType () const override
void | Copy (const FairMQMessage &msg) override
Public Member Functions inherited from FairMQMessage
| FairMQMessage (FairMQTransportFactory *factory)
FairMQTransportFactory * | GetTransport ()

## Friends

class | FairMQSocketZMQ

The documentation for this class was generated from the following files:

- fairmq/zeromq/FairMQMessageZMQ.h
- fairmq/zeromq/FairMQMessageZMQ.cxx

privacy